# ETableSortedVariable

## Name

ETableSortedVariable --

## Synopsis

    #define     E_TABLE_SORTED_VARIABLE_TYPE
    typedef     ETableSortedVariable;
    ETableModel* e_table_sorted_variable_new    (ETableModel *etm,
                                                 ETableHeader *header,
                                                 ETableSortInfo *sort_info);

## Object Hierarchy

      GtkObject
       +----ETableModel
             +----ETableSubset
                   +----ETableSubsetVariable
                         +----ETableSortedVariable

## Description

## Details

### E_TABLE_SORTED_VARIABLE_TYPE

    #define E_TABLE_SORTED_VARIABLE_TYPE        (e_table_sorted_variable_get_type ())

### ETableSortedVariable

    typedef struct {
    	ETableSubsetVariable base;

    	ETableSortInfo *sort_info;

    	ETableHeader *full_header;

    	int              table_model_changed_id;
    	int              table_model_row_changed_id;
    	int              table_model_cell_changed_id;
    	int              sort_info_changed_id;
    	int              sort_idle_id;
    	int		 insert_idle_id;
    	int		 insert_count;

    } ETableSortedVariable;

### e_table_sorted_variable_new ()

    ETableModel* e_table_sorted_variable_new    (ETableModel *etm,
                                                 ETableHeader *header,
                                                 ETableSortInfo *sort_info);

`etm` : |
`header` : |
`sort_info` : |
Returns : |